sikulixapi.jar is incompatible with Java 11 due to usage of Java Internal API com.sun.java.swing.plaf.windows.WindowsLookAndFeel.

Asked by Sudhansu Gewali on 2019-11-01

sikulixapi.jar is incompatible with Java 11 due to usage of Java Internal API com.sun.java.swing.plaf.windows.WindowsLookAndFeel.

Will Sikuli new version be compatible with Java 11 or is there any available workaround for existing Sikuli version with Java 11?

Question information

Language:
English Edit question
Status:
Answered
For:
Sikuli Edit question
Assignee:
No assignee Edit question
Last query:
2019-11-01
Last reply:
2019-11-01
RaiMan (raimund-hocke) said : #1

this is also with Java 13 and is only a warning.

BTW: How do you use sikulixapi.jar? It should not do anything with com.sun.java.swing....?

Can you help with this problem?

Provide an answer of your own, or ask Sudhansu Gewali for more information if necessary.

To post a message you must log in.